<div class="container">
  <video class="input_video" width="360px" height="180px" hidden="true"></video>
  <canvas class="output_canvas" width="360px" height="180px" [style.left.px]="window.innerWidth-360"
    [style.top.px]="window.innerHeight-180"></canvas>
</div>
<div class="dot" [style.left.px]="pointer_x" [style.top.px]="pointer_y" [style.backgroundColor]="color"></div>